---
title: "Resend freeform invite"
url: "https://docs.signnow.com/docs/doc-group-freeform-invite/operations/post-v2-document-groups-documentGroupUniqueId-free-form-invites-freeFormInviteUniqueId-users-userUniqueId-resend"
type: "endpoint"
section: "doc-group-freeform-invite"
slug: "doc-group-freeform-invite/operations/post-v2-document-groups-documentGroupUniqueId-free-form-invites-freeFormInviteUniqueId-users-userUniqueId-resend"
method: "POST"
path: "/v2/document-groups/{document_group_id}/free-form-invites/{freeform_invite_id}/users/{user_id}/resend"
operation_id: "post-v2-document-groups-documentGroupUniqueId-free-form-invites-freeFormInviteUniqueId-users-userUniqueId-resend"
authorization: "bearer"
---

# Resend freeform invite

`POST /v2/document-groups/{document_group_id}/free-form-invites/{freeform_invite_id}/users/{user_id}/resend`

Resend the Document Group FreeForm invite to a specific signer.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes |  |
| `freeform_invite_id` | string | Yes |  |
| `user_id` | string | Yes |  |

## Responses

### 202

Correct request

### 400

* Authorization issues
* Owner daily invite limit exceeded
* Trial period invite limit reached

**Example** (`Authorization issues`)

```json
{
  "errors": [
    {
      "code": 1537,
      "message": "invalid_token"
    }
  ]
}
```

**Example** (`Owner daily invite limit exceeded`)

```json
{
  "errors": [
    {
      "code": 19053002,
      "message": "Daily invite limit exceeded"
    }
  ]
}
```

**Example** (`Trial period invite limit reached`)

```json
{
  "errors": [
    {
      "code": 19053001,
      "message": "Trial period invite limit reached"
    }
  ]
}
```

### 403

* Free form invite not related to document group
* Signature request not found
* Current user is not document group owner

**Example** (`Signature request not found`)

```json
{
  "errors": [
    {
      "code": 19001019,
      "message": "Signature request not found"
    }
  ]
}
```

**Example** (`User is not document group owner`)

```json
{
  "errors": [
    {
      "code": 19001010,
      "message": "Current user is not document group owner."
    }
  ]
}
```

**Example** (`Free form invite not related to document group`)

```json
{
  "errors": [
    {
      "code": 19001051,
      "message": "Free form invite not related to document group."
    }
  ]
}
```

### 404

* Document group not found, incorrect id
* Document group free form invite not found
* User not found, incorrect id
* Document group signature requests not found

**Example** (`User not found, incorrect id`)

```json
{
  "errors": [
    {
      "code": 19002012,
      "message": "User not found."
    }
  ]
}
```

**Example** (`Document group not found, incorrect id`)

```json
{
  "errors": [
    {
      "code": 19002010,
      "message": "Document group `document_group_id` not found."
    }
  ]
}
```

**Example** (`Document group free form invite not found`)

```json
{
  "errors": [
    {
      "code": 19002015,
      "message": "Document group free form invite `freeform_invite_id` not found."
    }
  ]
}
```

**Example** (`Document group signature requests not found`)

```json
{
  "errors": [
    {
      "code": 19001053,
      "message": "Document group signature requests not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/free-form-invites/{freeform_invite_id}/users/{user_id}/resend" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-freeform-invite/operations/post-v2-document-groups-documentGroupUniqueId-free-form-invites-freeFormInviteUniqueId-users-userUniqueId-resend*
